# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.61.0"
name = "qsv"
version = "0.55.2"
authors = ["Joel Natividad <joel@datHere.com>"]
include = [
    "src/**/*",
    "LICENSE-MIT",
    "README.md",
    "CHANGELOG.md",
]
autobins = false
autotests = false
description = "A high performance CSV data-wrangling toolkit."
homepage = "https://github.com/jqnatividad/qsv#qsv-ultra-fast-csv-data-wrangling-toolkit"
documentation = "https://github.com/jqnatividad/qsv#qsv-ultra-fast-csv-data-wrangling-toolkit"
readme = "README.md"
keywords = [
    "csv",
    "geocode",
    "data-engineering",
    "etl",
    "opendata",
]
categories = [
    "command-line-utilities",
    "parser-implementations",
]
license = "MIT OR Unlicense"
repository = "https://github.com/jqnatividad/qsv"
resolver = "2"

[profile.release]
opt-level = 3
lto = true
codegen-units = 1
debug = false
strip = true

[profile.release-nightly]
opt-level = 3
lto = true
codegen-units = 1
debug = false
panic = "abort"
inherits = "release"
strip = true

[profile.test]
opt-level = 3

[[bin]]
name = "qsv"
path = "src/main.rs"
test = true
doctest = false
bench = false
required-features = ["full"]

[[bin]]
name = "qsvlite"
path = "src/mainlite.rs"
test = true
doctest = false
bench = false
required-features = ["lite"]

[[bin]]
name = "qsvdp"
path = "src/maindp.rs"
test = true
doctest = false
bench = false
required-features = ["datapusher_plus"]

[[test]]
name = "tests"
path = "tests/tests.rs"

[dependencies.ahash]
version = "0.7"

[dependencies.anyhow]
version = "1.0"

[dependencies.byteorder]
version = "1.4"

[dependencies.cached]
version = "0.34"
features = [
    "proc_macro",
    "redis_store",
]
optional = true
default-features = false

[dependencies.calamine]
version = "0.18"

[dependencies.censor]
version = "0.2"
optional = true

[dependencies.crossbeam-channel]
version = "0.5"

[dependencies.csv]
version = "1.1"

[dependencies.csv-core]
version = "0.1"

[dependencies.csv-index]
version = "0.1"

[dependencies.docopt]
version = "1"

[dependencies.dynfmt]
version = "0.1"
features = ["curly"]
optional = true
default-features = false

[dependencies.eudex]
version = "0.1"
optional = true

[dependencies.ext-sort]
version = "0.1"
features = ["memory-limit"]

[dependencies.filetime]
version = "0.2"

[dependencies.flexi_logger]
version = "0.22"
features = ["compress"]
default-features = false

[dependencies.governor]
version = "0.4"
optional = true

[dependencies.grex]
version = "1.3.0"
default-features = false

[dependencies.indicatif]
version = "0.16"

[dependencies.itertools]
version = "0.10"

[dependencies.itoa]
version = "1"

[dependencies.jql]
version = "4.0"
optional = true
default-features = false

[dependencies.jsonschema]
version = "0.16"
features = [
    "resolve-file",
    "resolve-http",
]
default-features = false

[dependencies.jsonxf]
version = "1"
optional = true

[dependencies.log]
version = "0.4"

[dependencies.mimalloc]
version = "0.1"
optional = true
default-features = false

[dependencies.mlua]
version = "0.8"
features = [
    "lua54",
    "vendored",
]
optional = true

[dependencies.once_cell]
version = "1.12"
features = ["parking_lot"]

[dependencies.pyo3]
version = "0.16"
features = [
    "abi3",
    "abi3-py38",
    "auto-initialize",
    "generate-abi3-import-lib",
]
optional = true

[dependencies.qsv-dateparser]
version = "0.4"

[dependencies.qsv-sniffer]
version = "0.5"
features = ["runtime-dispatch-simd"]

[dependencies.qsv-stats]
version = "0.3"

[dependencies.qsv_currency]
version = "0.5"
optional = true

[dependencies.rand]
version = "0.8"

[dependencies.rayon]
version = "1.5"

[dependencies.regex]
version = "1"

[dependencies.reqwest]
version = "0.11"
features = [
    "blocking",
    "brotli",
    "cookies",
    "gzip",
    "rustls-tls",
]
default-features = false

[dependencies.reverse_geocoder]
version = "3"
optional = true

[dependencies.ryu]
version = "1"

[dependencies.self_update]
version = "0.30"
features = [
    "archive-zip",
    "compression-zip-deflate",
    "rustls",
]
default-features = false

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"
features = ["preserve_order"]

[dependencies.strsim]
version = "0.10"
optional = true

[dependencies.sysinfo]
version = "0.24"

[dependencies.tabwriter]
version = "1.2"

[dependencies.test-data-generation]
version = "0.3"
optional = true

[dependencies.thiserror]
version = "1.0"
optional = true

[dependencies.thousands]
version = "0.2"

[dependencies.threadpool]
version = "1.8"

[dependencies.titlecase]
version = "1"
optional = true

[dependencies.url]
version = "2.2"
optional = true

[dependencies.uuid]
version = "1"
features = ["v4"]

[dependencies.vader_sentiment]
version = "0.1"
optional = true

[dependencies.whatlang]
version = "0.16"
optional = true

[dev-dependencies.actix-governor]
version = "0.3"

[dev-dependencies.actix-web]
version = "4.0"
features = [
    "compress-brotli",
    "compress-gzip",
]
default-features = false

[dev-dependencies.assert-json-diff]
version = "2.0"

[dev-dependencies.newline-converter]
version = "0.2"

[dev-dependencies.quickcheck]
version = "1"
default-features = false

[dev-dependencies.redis]
version = "0.21"
default-features = false

[dev-dependencies.serial_test]
version = "0.7"

[features]
apply = [
    "cached",
    "censor",
    "dynfmt",
    "eudex",
    "qsv_currency",
    "reverse_geocoder",
    "strsim",
    "titlecase",
    "vader_sentiment",
    "whatlang",
]
datapusher_plus = []
default = ["mimalloc"]
fetch = [
    "cached",
    "dynfmt",
    "governor",
    "jql",
    "jsonxf",
    "thiserror",
    "url",
]
foreach = []
full = []
generate = ["test-data-generation"]
lite = []
lua = ["mlua"]
nightly = [
    "regex/unstable",
    "rand/nightly",
    "rand/simd_support",
    "pyo3/nightly",
]
python = ["pyo3"]
